> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/explorer/websocket/explorer-txs.md).

# Explorer Txs

**Name of channel:** `explorer_txs`\
**Description:** Pushes finalized transaction notifications.\
**URL path:** `/v1/public/market`\
**Authentication:** No auth required

### Request parameters

| Parameter | Type   | Required | Description    |
| --------- | ------ | -------- | -------------- |
| `channel` | string | Yes      | `explorer_txs` |

### Subscription acknowledgement fields:

| Field     | Type    | Description                                                             |
| --------- | ------- | ----------------------------------------------------------------------- |
| `id`      | string  | Echoes the request `id`. String, max 32 characters, `[A-Za-z0-9]` only. |
| `op`      | string  | `subscribe` or `unsubscribe`.                                           |
| `success` | boolean | Whether at least one subscription succeeded.                            |
| `args`    | array   | Successful subscription args. Present on success.                       |
| `code`    | string  | Error code. Present on failure.                                         |
| `msg`     | string  | Error message. Present on failure.                                      |

### Push data parameters

| Field | Type         | Description                                                                 |
| ----- | ------------ | --------------------------------------------------------------------------- |
| `x`   | string       | Transaction hash.                                                           |
| `a`   | string       | Signer address.                                                             |
| `g`   | string\|null | Target address. `null` when the transaction has no separate target address. |
| `c`   | string       | Explorer action type.                                                       |
| `h`   | integer      | Block height.                                                               |
| `t`   | integer      | Transaction timestamp.                                                      |
| `e`   | string\|null | Execution error. `null` means success.                                      |

### Request example

```json
{
  "id": "subTxs",
  "op": "subscribe",
  "args": [
    { "channel": "explorer_txs" }
  ]
}
```

### Response example, success

```json
{
  "id": "subTxs",
  "op": "subscribe",
  "success": true,
  "args": [
    { "channel": "explorer_txs" }
  ]
}
```

### Response example, failure

```json
{
  "id": "subTxs",
  "op": "subscribe",
  "success": false,
  "code": "220002",
  "msg": "Invalid channel"
}
```

### Push data example

```json
{
  "arg": { "channel": "explorer_txs" },
  "finality": "final",
  "data": {
    "x": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
    "a": "0xabc000000000000000000000000000000000def0",
    "g": null,
    "c": "place_order",
    "h": 123456,
    "t": 1719500000000,
    "e": null
  },
  "ts": 1719500000000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/explorer/websocket/explorer-txs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
